Installation help

 
 
Picture of Ron Elder
Upgrading from Moodle v1.4.4
 

I have an old installation of v1.4.4 which has not been upgraded.

What should I know before I try upgrading it to a current version ?

Is there an upgrade progession I should follow ? Can I upgrade to v 1.6 from 1.4.4 for example ?

Ron Elder
Gisborne, New Zealand

 
Average of ratings: -
Picture of Visvanath Ratnaweera
Re: Upgrading from Moodle v1.4.4
Group Particularly helpful Moodlers
From memory I would say your shortest migration path will be 1.4 -> 1.6 -> 1.9.

Worth noting: "upgrading - quiz table problems - 1.5 -> 1.7 -> 1.9" http://moodle.org/mod/forum/discuss.php?d=125469.

Each step is analog to http://docs.moodle.org/en/Upgrading (always backup!)

The upgrade script in each new version will warn you if the previous version is too old.

In any case, take a long break at 1.9 and evaluate carefully why you need 2.x.
 
Average of ratings: -
Picture of Visvanath Ratnaweera
Re: Upgrading from Moodle v1.4.4
Group Particularly helpful Moodlers
I'm pretty sure that there were pages like
- http://docs.moodle.org/en/Upgrading_to_Moodle_1.5
- http://docs.moodle.org/en/Upgrading_to_Moodle_1.6
- etc.
in the docs. Can't find them any more.
 
Average of ratings: -
Picture of Helen Foster
Re: Upgrading from Moodle v1.4.4
Group DevelopersGroup Documentation writersGroup Moodle HQGroup Particularly helpful MoodlersGroup Testers

Hi Ron,

Please see the 'See also' section in Upgrading for documentation on upgrading to particular versions of Moodle. Moodle 1.6 is the first version for which there is specific upgrade documentation.

 
Average of ratings: -